'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _formsyReact = require('formsy-react');

var _formsyReact2 = _interopRequireDefault(_formsyReact);

var _mixins = require('./mixins');

var _mixins2 = _interopRequireDefault(_mixins);

var _index = require('./layout/index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormsyBootstrap = _react2.default.createClass({
  displayName: 'FormsyBootstrap',


  mixins: [_mixins2.default],

  propTypes: {
    children: _react2.default.PropTypes.node
  },

  childContextTypes: {
    layout: _react2.default.PropTypes.object,
    labelClassName: _react2.default.PropTypes.string
  },

  getChildContext: function getChildContext() {
    return {
      layout: this.props.layout || _index2.default,
      labelClassName: this.props.labelClassName };
  },
  getFormsyObject: function getFormsyObject() {
    return this.refs.formsyObject;
  },


  render: function render() {
    return _react2.default.createElement(
      _formsyReact2.default.Form,
      _extends({
        ref: 'formsyObject'
      }, this.props),
      this.props.children
    );
  }

});

module.exports = FormsyBootstrap;