'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _formsyReact = require('formsy-react');

var _formsyReact2 = _interopRequireDefault(_formsyReact);

var _mixins = require('./mixins');

var _mixins2 = _interopRequireDefault(_mixins);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var propUtilities = require('./propUtilities');

var Textarea = _react2.default.createClass({
  displayName: 'Textarea',


  mixins: [_formsyReact2.default.Mixin, _mixins2.default],

  changeValue: function changeValue(event) {
    this.setValue(event.currentTarget.value);
  },
  renderElement: function renderElement() {
    var _this = this;

    return _react2.default.createElement(_reactBootstrap.FormControl, _extends({}, propUtilities.cleanProps(this.props), {
      ref: function ref(c) {
        return _this.element = c;
      },
      componentClass: 'textarea',
      value: this.getValue(),
      onChange: this.changeValue,
      disabled: this.isFormDisabled() || this.props.disabled
    }));
  },

  render: function render() {
    if (this.props.elementOnly) return this.renderElement();

    var Layout = this.getLayout();
    return _react2.default.createElement(Layout.Textarea, { element: this });
  }

});

module.exports = Textarea;