'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Input = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Input = exports.Input = _react2.default.createClass({
  displayName: 'Input',

  render: function render() {
    var element = this.props.element;
    return _react2.default.createElement(
      _reactBootstrap.FormGroup,
      element.getValidationState() ? { validationState: element.getValidationState() } : {},
      _react2.default.createElement(
        _reactBootstrap.ControlLabel,
        null,
        element.getLabel(),
        element.showRequired() ? _react2.default.createElement(
          'span',
          { className: 'required-symbol' },
          '*'
        ) : ''
      ),
      element.renderElement(),
      element.renderFeedback(),
      _react2.default.createElement(
        _reactBootstrap.HelpBlock,
        null,
        element.getErrorMessage() ? element.getErrorMessage() : element.getHelpMessage()
      )
    );
  }

});
module.exports = Input;