"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// Removes component props that shouldn't be set on the form control.
var cleanProps = function cleanProps(props) {
  var mapping = props.mapping,
      validationErrors = props.validationErrors,
      onChange = props.onChange,
      onError = props.onError,
      onInvalid = props.onInvalid,
      onInvalidSubmit = props.onInvalidSubmit,
      onSubmit = props.onSubmit,
      onSuccess = props.onSuccess,
      onValid = props.onValid,
      onValidSubmit = props.onValidSubmit,
      preventExternalInvalidation = props.preventExternalInvalidation,
      reset = props.reset,
      validations = props.validations,
      validationError = props.validationError,
      addonAfter = props.addonAfter,
      addonBefore = props.addonBefore,
      buttonAfter = props.buttonAfter,
      buttonBefore = props.buttonBefore,
      helpMessage = props.helpMessage,
      label = props.label,
      labelClassName = props.labelClassName,
      layout = props.layout,
      options = props.options,
      rowLabel = props.rowLabel,
      validatePristine = props.validatePristine,
      elementOnly = props.elementOnly,
      rest = _objectWithoutProperties(props, ["mapping", "validationErrors", "onChange", "onError", "onInvalid", "onInvalidSubmit", "onSubmit", "onSuccess", "onValid", "onValidSubmit", "preventExternalInvalidation", "reset", "validations", "validationError", "addonAfter", "addonBefore", "buttonAfter", "buttonBefore", "helpMessage", "label", "labelClassName", "layout", "options", "rowLabel", "validatePristine", "elementOnly"]);

  return rest;
};

exports.cleanProps = cleanProps;